> For the complete documentation index, see [llms.txt](https://docs.bluefletch.com/bluefletch-enterprise/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/archive/feature-comparison.md).

# Feature Comparison

## Feature Comparison: Launcher 3 vs. Launcher 4

All features are part of the BlueFletch Launcher platform:

<table><thead><tr><th width="132.6171875">Launcher 3 Feature</th><th>Feature/Functionality</th><th width="131.8984375">Launcher 4 Feature</th><th>Feature/Functionality</th></tr></thead><tbody><tr><td></td><td>No AppConfig object</td><td>AppConfig</td><td>Introduces a new appConfig object to centralize configurations for individual applications</td></tr><tr><td></td><td>No reusable app configurations</td><td>Application Object Variables</td><td>Supports reusable app configurations with key-value pairs</td></tr><tr><td>Quick Start Applications Folder</td><td><ul><li>Appears as a footer on the home screen.</li><li>Prioritizes the first folder in a group for display on the Launcher.</li></ul></td><td>Quick Start Applications Folder</td><td><ul><li>Appears either as a footer or anywhere in the workspace.</li><li>Supports layout options like columnSpan and rowSpan.</li></ul></td></tr><tr><td>Layouts</td><td><ul><li>Apps grouped by roles into folders or groups.</li><li>Role-based app visibility.</li></ul></td><td>Tabbed Layouts</td><td><ul><li>Apps grouped into tabs linked to layouts.</li><li>Widget with shortcuts to tab pages.</li></ul></td></tr><tr><td>Custom Field Display</td><td><ul><li>No IMEI capability.</li></ul></td><td>Custom Field Display</td><td><ul><li>Enables the use of IMEI as a unique device identifier instead of just the serial number.</li><li>Customers can configure the Launcher to display the IMEI in the header.</li></ul></td></tr><tr><td>Theme</td><td><ul><li>No options for iconShape.</li></ul></td><td>Theme</td><td><ul><li>A new field, iconShape, has been introduced to define the shape of app icons in the main workspace.</li><li>Supported values for this field include roundedCorner, square, squircle, and circle.</li></ul></td></tr><tr><td></td><td><ul><li>No footer option; only custom headers.</li></ul></td><td>Footer</td><td><ul><li>Footers can now be configured just like headers.</li><li>Any widget can now be a footer.</li></ul></td></tr><tr><td>Custom Intents Platform Actions</td><td><ul><li>No support for polling for changes or updates to a Site List URL.</li></ul></td><td>Custom Intents Platform Actions</td><td><ul><li>BlueFletch Launcher can now specify a Site List URL for downloading site information.</li><li>This enables polling for changes or updates to the Site List URL.</li><li>When the broadcast action com.bluefletch.action.ACTION_UPDATE_SITES is received, the Launcher triggers polling for updates to the list via a Custom Intent.</li></ul></td></tr><tr><td>Luggage Tag</td><td><ul><li>No geofencing lockdown functionality.</li></ul></td><td>Luggage Tag</td><td><ul><li>With geofencing lockdown functionality.</li></ul></td></tr><tr><td>Secure Device</td><td><ul><li>Secure Device config block part of Launcher.json Settings configuration.</li><li>Variables using 'unsecured' and 'secure' at the beginning of the variables.</li></ul></td><td>Secure Device</td><td><ul><li>With its own config block secureDevice.</li><li>Any reference to 'unsecured' and 'secured' had been removed.</li><li>A new 'enabled' field is added to turn secureDevice mode on/off more easily.</li></ul></td></tr></tbody></table>

###

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluefletch.com/bluefletch-enterprise/product-guides/bluefletch-launcher/archive/feature-comparison.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
